Subject: Re: [hybi] Payload only compression extension, again

From: Takeshi Yoshino <[email-masked]>
Date: Wed, 9 Mar 2011 21:17:56 +0900

Thanks for feedback.

On Tue, Mar 1, 2011 at 16:01, Greg Wilkins <[email-masked]> wrote:

> On 1 March 2011 01:51, Takeshi Yoshino <[email-masked]> wrote:
> > Hi,
> > Seeing several people preferring payload only compression, I'd like to
> > resume discussion on it.
>
> +1
>
> > Requirements
> > - Each message must be able to be uncompressed immediately
>
> +1
>
> > - Want not to mess up dictionary by compressing incompressible messages
>
> Is that to say that you don't want to compress fragments?
> I'm cautious about this as we don't want to have to buffer up all
> fragments before we can decompress.
>
>
Sorry, could you elaborate your question?

I put this in the requirement since IIRC some people said that they want not
to get some incompressible contents (mixed with compressible contents in a
single connection) through the compressor. Like this.

| WS header | BTYPE=01 <compressible contents> | WS header | BTYPE=00
<incompressible contents> | ...

>  > - Want to maintain the compression state (LZ77 sliding window and
> Huffman
> > table)
>
> +1, although it might be good to have this as an extension option that
> can be turned off.
>

I'm fine with that.

>
> > - Want to keep separate dictionaries for messages with different
> > characteristics
> > -- Case 1: Binary and text mixed
> > -- Case 2: Short and long mixed
> > -- Case 3: Application data in data frame and control frame may have
> > different characteristics
>
> -1 too complex.
>

I think that eventually MUX will be available that will keep different
> types of messages in different channels.
> Until that time, I expect to see very little mixed usage on WS
> connections as each usage will just open up a fresh connection.
>
>
Good

>
>
> > --- Apply DEFLATE only to data frame (Is it worth including control
> frame?)
>
> +1
>
> control frames should be in the clear, so that they can be considered
> and handled without the need to track extension or extension state.
>
>
> cheers
>

---

From: Greg Wilkins <[email-masked]>
Date: Thu, 10 Mar 2011 07:36:04 +1100

> <incompressible contents> | ...

thanks - that answers my question fine.

cheers